ZIP_UNCHANGE(3)

NAME
zip_unchange - undo changes to file in zip archive

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

int zip_unchange(struct zip *archive, int index);

DESCRIPTION
Changes to the file at position index are reverted.

RETURN VALUES
Upon successful completion 0 is returned. Otherwise, -1 is returned and the error code in archive is set to indicate the error.

ERRORS
zip_unchange fails if:

    [ZIP_ER_EXISTS]
        Unchanging the name would result in a duplicate name in the archive.

    [ZIP_ER_INVAL]
        index is not a valid file index in zip.

SEE ALSO
libzip(3), zip_unchange_all(3), zip_unchange_archive(3)

AUTHORS

Dieter Baron <dillo@giga.or.at> and Thomas Klausner <tk@giga.or.at>